com.r3corda.core.contracts.clauses / verifyClauses

# verifyClauses

`fun verifyClauses(tx: TransactionForContract, clauses: List<SingleClause>, commands: Collection<AuthenticatedObject<CommandData>>): Unit`

Verify a transaction against the given list of clauses.

### Parameters

`tx` - transaction to be verified.
`clauses` - the clauses to verify.
`commands` - commands extracted from the transaction, which are relevant to the clauses.